from typing import List, Optional

from pydantic import BaseModel

class JmJobNode(BaseModel):
    id: int
    # 作业id
    homework_id: Optional[int]
    # 作业名称
    homework_name: str
    # 起始点
    start_point: int

class JmJobEdge(BaseModel):
    # 入节点
    source: int
    # 出节点
    target: int



