from sqlalchemy import Boolean, Column, ForeignKey, Integer, String

from app.models.database import BaseModel


class JmJobInfo(BaseModel):
    __tablename__ = "jm_job_info"

    id = Column(Integer, primary_key=True, index=True)
    # 任务名称
    name = Column(String, nullable=False)
    # 任务类型
    type = Column(String, nullable=False)
    # 任务分类
    tag = Column(String, nullable=False)
    # 周期类型
    cron_type = Column(Integer, nullable=False)
    # 周期num
    cron_num = Column(Integer, nullable=False)
    # 周期单位
    cron_unit = Column(String, nullable=False)
    # api
    api = Column(String)
    # 状态
    status = Column(Integer, nullable=False)
    # 是否被删除
    delete_status = Column(Integer, nullable=False)
    # 用户id
    user_id = Column(String, nullable=False)
    # 用户名称
    user_name = Column(String, nullable=False)
    # 项目id
    project_id = Column(String, nullable=False)
